<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * DocumentosAlumnos
 *
 * @ORM\Table(name="documentos_alumnos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_doc", columns={"cve_doc"})})
 * @ORM\Entity
 */
class DocumentosAlumnos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_doc_alu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideDocAlu;

    /**
     * @var string
     *
     * @ORM\Column(name="archivo", type="string", length=250, nullable=true)
     */
    private $archivo = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador", type="integer", nullable=true)
     */
    private $contador = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="plantel_entrega", type="integer", nullable=true)
     */
    private $plantelEntrega = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_entrega", type="date", nullable=true)
     */
    private $fecEntrega = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_entrega", type="time", nullable=true)
     */
    private $horEntrega = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="plantel_recibe", type="integer", nullable=true)
     */
    private $plantelRecibe = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_recibe", type="date", nullable=true)
     */
    private $fecRecibe = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_recibe", type="time", nullable=true)
     */
    private $horRecibe = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="persona_entrega", type="string", length=255, nullable=true)
     */
    private $personaEntrega = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="persona_recibe", type="string", length=255, nullable=true)
     */
    private $personaRecibe = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="acuse", type="string", length=255, nullable=true)
     */
    private $acuse = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Documentos
     *
     * @ORM\ManyToOne(targetEntity="Documentos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_doc", referencedColumnName="ide_doc")
     * })
     */
    private $cveDoc;



    /**
     * Get ideDocAlu
     *
     * @return integer
     */
    public function getIdeDocAlu()
    {
        return $this->ideDocAlu;
    }

    /**
     * Set archivo
     *
     * @param string $archivo
     *
     * @return DocumentosAlumnos
     */
    public function setArchivo($archivo)
    {
        $this->archivo = $archivo;
    
        return $this;
    }

    /**
     * Get archivo
     *
     * @return string
     */
    public function getArchivo()
    {
        return $this->archivo;
    }

    /**
     * Set contador
     *
     * @param integer $contador
     *
     * @return DocumentosAlumnos
     */
    public function setContador($contador)
    {
        $this->contador = $contador;
    
        return $this;
    }

    /**
     * Get contador
     *
     * @return integer
     */
    public function getContador()
    {
        return $this->contador;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return DocumentosAlumnos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set plantelEntrega
     *
     * @param integer $plantelEntrega
     *
     * @return DocumentosAlumnos
     */
    public function setPlantelEntrega($plantelEntrega)
    {
        $this->plantelEntrega = $plantelEntrega;
    
        return $this;
    }

    /**
     * Get plantelEntrega
     *
     * @return integer
     */
    public function getPlantelEntrega()
    {
        return $this->plantelEntrega;
    }

    /**
     * Set fecEntrega
     *
     * @param \DateTime $fecEntrega
     *
     * @return DocumentosAlumnos
     */
    public function setFecEntrega($fecEntrega)
    {
        $this->fecEntrega = $fecEntrega;
    
        return $this;
    }

    /**
     * Get fecEntrega
     *
     * @return \DateTime
     */
    public function getFecEntrega()
    {
        return $this->fecEntrega;
    }

    /**
     * Set horEntrega
     *
     * @param \DateTime $horEntrega
     *
     * @return DocumentosAlumnos
     */
    public function setHorEntrega($horEntrega)
    {
        $this->horEntrega = $horEntrega;
    
        return $this;
    }

    /**
     * Get horEntrega
     *
     * @return \DateTime
     */
    public function getHorEntrega()
    {
        return $this->horEntrega;
    }

    /**
     * Set plantelRecibe
     *
     * @param integer $plantelRecibe
     *
     * @return DocumentosAlumnos
     */
    public function setPlantelRecibe($plantelRecibe)
    {
        $this->plantelRecibe = $plantelRecibe;
    
        return $this;
    }

    /**
     * Get plantelRecibe
     *
     * @return integer
     */
    public function getPlantelRecibe()
    {
        return $this->plantelRecibe;
    }

    /**
     * Set fecRecibe
     *
     * @param \DateTime $fecRecibe
     *
     * @return DocumentosAlumnos
     */
    public function setFecRecibe($fecRecibe)
    {
        $this->fecRecibe = $fecRecibe;
    
        return $this;
    }

    /**
     * Get fecRecibe
     *
     * @return \DateTime
     */
    public function getFecRecibe()
    {
        return $this->fecRecibe;
    }

    /**
     * Set horRecibe
     *
     * @param \DateTime $horRecibe
     *
     * @return DocumentosAlumnos
     */
    public function setHorRecibe($horRecibe)
    {
        $this->horRecibe = $horRecibe;
    
        return $this;
    }

    /**
     * Get horRecibe
     *
     * @return \DateTime
     */
    public function getHorRecibe()
    {
        return $this->horRecibe;
    }

    /**
     * Set personaEntrega
     *
     * @param string $personaEntrega
     *
     * @return DocumentosAlumnos
     */
    public function setPersonaEntrega($personaEntrega)
    {
        $this->personaEntrega = $personaEntrega;
    
        return $this;
    }

    /**
     * Get personaEntrega
     *
     * @return string
     */
    public function getPersonaEntrega()
    {
        return $this->personaEntrega;
    }

    /**
     * Set personaRecibe
     *
     * @param string $personaRecibe
     *
     * @return DocumentosAlumnos
     */
    public function setPersonaRecibe($personaRecibe)
    {
        $this->personaRecibe = $personaRecibe;
    
        return $this;
    }

    /**
     * Get personaRecibe
     *
     * @return string
     */
    public function getPersonaRecibe()
    {
        return $this->personaRecibe;
    }

    /**
     * Set acuse
     *
     * @param string $acuse
     *
     * @return DocumentosAlumnos
     */
    public function setAcuse($acuse)
    {
        $this->acuse = $acuse;
    
        return $this;
    }

    /**
     * Get acuse
     *
     * @return string
     */
    public function getAcuse()
    {
        return $this->acuse;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return DocumentosAlumnos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveDoc
     *
     * @param \CmBundle\Entity\Documentos $cveDoc
     *
     * @return DocumentosAlumnos
     */
    public function setCveDoc(\CmBundle\Entity\Documentos $cveDoc = null)
    {
        $this->cveDoc = $cveDoc;
    
        return $this;
    }

    /**
     * Get cveDoc
     *
     * @return \CmBundle\Entity\Documentos
     */
    public function getCveDoc()
    {
        return $this->cveDoc;
    }
}
